package org.processmining.lpengines.factories;

import org.processmining.lpengines.implementations.LPEngineLpSolveDisposableImpl;
import org.processmining.lpengines.implementations.LPEngineLpSolveImpl;
import org.processmining.lpengines.interfaces.LPEngine;

public class LPEngineFactory {

	public static LPEngine createLPEngine(LPEngine.EngineType type) {
		return createLPEngine(type, 0, 0);
	}

	// TODO: incorporate engine-version-check (iff applicable)
	public static LPEngine createLPEngine(LPEngine.EngineType type, int rows, int columns) {
		LPEngine engine;
		switch (type) {
			case LPSOLVE :
				engine = new LPEngineLpSolveImpl(rows, columns);
				break;
			case LPSOLVE_DISPOSABLE :
				engine = new LPEngineLpSolveDisposableImpl(rows, columns);
				break;
			default :
				engine = new LPEngineLpSolveImpl(rows, columns);
				break;
		}
		return engine;
	}

	@Deprecated
	public static LPEngine createLPSolveILPEngine(int rows, int columns) {
		return new LPEngineLpSolveImpl(rows, columns);
	}
}
