package org.processmining.lpengines.implementations;

import org.processmining.lpengines.interfaces.LPConstraint;
import org.processmining.lpengines.interfaces.LPEngine.Operator;

public class LPConstraintImpl implements LPConstraint {

	protected double[] coefficients;

	protected Operator operator = Operator.GREATER_EQUAL;

	protected double rhs = 0.0;

	public LPConstraintImpl(double[] coefficients) {
		this.coefficients = coefficients;
	}

	public LPConstraintImpl(double[] coefficients, Operator operator) {
		this.coefficients = coefficients;
		this.operator = operator;
	}

	public LPConstraintImpl(double[] coefficients, Operator operator, double rhs) {
		this.coefficients = coefficients;
		this.operator = operator;
		this.rhs = rhs;
	}

	public double[] getCoefficients() {
		return coefficients;
	}

	public Operator getOperator() {
		return operator;
	}

	public double getRhs() {
		return rhs;
	}

	public void setCoefficients(double[] coefficients) {
		this.coefficients = coefficients;
	}

	public void setOperator(Operator operator) {
		this.operator = operator;
	}

	public void setRhs(double rhs) {
		this.rhs = rhs;
	}
}
